=== debian/changelog ===
pxe-kexec (0.2.4-3build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:07:56 +0000

pxe-kexec (0.2.4-3) unstable; urgency=low

  * debian/patches/fix-ftbfs-gcc-4-7.patch: Resolve FTBFS when built with
    gcc-4.7.  Adds an additional 'include' of 'unistd.h' to
    src/networkhelper.cc. Patch courtesy of Paul Tagliamonte. (Closes: #672071)
  * debian/control: Bumped standards to 3.9.3, no changes required.
  * debian/copyright: Updated Format URL to new (versioned) location.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 14 May 2012 09:13:15 +0100

pxe-kexec (0.2.4-2) unstable; urgency=low

  * debian/control: 
    - Only build for linux-any.
    - Added kexec-tools to Build-Depends to ensure there is a
      published binary for that target architecture.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 07 Dec 2011 13:49:07 +0000

pxe-kexec (0.2.4-1) unstable; urgency=low

  * Initial release (Closes: #649338)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Sat, 19 Nov 2011 18:41:34 +0000
