=== debian/control ===
Source: pxe-kexec
Section: admin
Priority: extra
Maintainer: Dave Walker (Daviey) <DaveWalker@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8),
               kexec-tools,
               libcurl4-gnutls-dev,
               libncurses5-dev,
               libreadline-dev
Standards-Version: 3.9.3
Homepage: http://developer.berlios.de/projects/pxe-kexec/

Package: pxe-kexec
Architecture: linux-any
Depends: kexec-tools, ${misc:Depends}, ${shlibs:Depends}
Description: Fetch PXE configuration file and netboot using kexec
 Tool that fetches PXE configuration file (SysLinux' PXELinux format),
 prompts the user for a boot entry (label), (supports interactive
 editing of the kernel parameters), downloads the selected kernel and
 initrd over the network using TFTP, FTP or HTTP and finally reboots
 into the kernel using kexec.
