=== debian/watch ===
version=3

opts=downloadurlmangle=s/prdownload/download/ \
http://developer.berlios.de/project/showfiles.php?group_id=10432 \
http://prdownload.berlios.de/pxe-kexec/pxe-kexec-(.*)\.tar\.bz2
